<script setup lang="ts">
import { ref, provide } from 'vue'
import { RouterLink, RouterView, useRoute } from 'vue-router'

import LoadingDialog from './components/LoadingDialog.vue'
import MessageBoxVue from './components/MessageBox.vue'
import FullLayout from './layouts/fullLayout.vue'
import MainLayout from './layouts/MainLayout.vue'
const route = useRoute()
const rail = ref(true)
const drawer = ref(true)

provide('rail', rail)
provide('drawer', drawer)
</script>

<template>
  <!-- <FullLayout v-if="route.meta.layout === 'FullLayout'"></FullLayout>
  <MainLayout v-if="route.meta.layout === 'MainLayout'"></MainLayout> -->
  <component :is="route.meta.layout === 'MainLayout' ? MainLayout : FullLayout"></component>
  <LoadingDialog></LoadingDialog>
  <MessageBoxVue></MessageBoxVue>
</template>

<style scoped></style>
